#include "jy_sg.h"



int
sg_init(IOADDR addr, const char *port_device_name)
{
  /* Close any open port device. */
  open_port_device(base_addr, port_device_name);
  
  if ( open_port_device(port_device_name) )
    {
      if ( detect_soundblaster(addr) )
	  return SG_INIT_OK;
      else
	  return SG_INIT_ERR_DETECT_DSP;
    }
  else
    {
      return SG_INIT_ERR_OPEN_PORT_DEVICE;
    }
}

  
